package BrunoLink;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;


class TrataComandos {
    private static String inputLine;
        
    public static boolean salvaDadoNoDisco(String NameFileFull, String inputLine) {
        try {
            OutputStream os = new FileOutputStream(NameFileFull, true);
            OutputStreamWriter osw = new OutputStreamWriter(os);
            BufferedWriter bw = new BufferedWriter(osw);
            bw.write("Info: " + inputLine + "\n");
            bw.close();
            return true;
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
            return false;
        }

    }
    
        
    public static boolean cleanData(String file) {
        try {
            OutputStream os = new FileOutputStream(file, false);
            OutputStreamWriter osw = new OutputStreamWriter(os);
            BufferedWriter bw = new BufferedWriter(osw);
            //bw.write();
            bw.close();
            return true;
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
            return false;
        }

    }
    private String NameFileFull;

    public static StringBuffer getDadoDoDisco(String file) {
        StringBuffer sb = new StringBuffer();
        try {
            InputStream is = new FileInputStream(file);
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String s = br.readLine();
            sb.append("\n#############################");
            while (s != null) {
                sb.append(s + "\n");
                s = br.readLine();
            }
            br.close();           
            sb.append("#############################\n");
            return sb;
        }catch(java.io.FileNotFoundException FNE){
            System.err.println("Arquivos não encontrado!");
        }
        catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
        }
        return sb;        
    }
    
}
