package PossivelSolucao;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;


//Modificamos os descritotes de acesso para public para que seja liberado
//acesso fora da classe.

public class Uteis {

    public static boolean duplicarArquivo(String param1, String param2) {
        try {
            InputStream is = new FileInputStream(param1);
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String s = br.readLine();            
            while (s != null) {
                salvaDadoNoDisco(s, param2);
                s = br.readLine();
            }
            br.close();            
            return true;
        } catch (java.io.FileNotFoundException FNE) {
            System.err.println("Arquivos não encontrado!");
            return false;
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
            return false;
        }
    }

    public static boolean salvaDadoNoDisco(String inputLine, String file) {
        try {
            OutputStream os = new FileOutputStream(file, true);
            OutputStreamWriter osw = new OutputStreamWriter(os);
            BufferedWriter bw = new BufferedWriter(osw);
            bw.write("\n" + inputLine.toString());
            bw.close();
            return true;
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
            return false;
        }
    }

    public static boolean cleanData(String file) {
        try {
            OutputStream os = new FileOutputStream(file, false);
            OutputStreamWriter osw = new OutputStreamWriter(os);
            BufferedWriter bw = new BufferedWriter(osw);
            //bw.write();
            bw.close();
            return true;
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
            return false;
        }
    }

    public static StringBuffer getDadoDoDisco(String file) {
        StringBuffer sb = new StringBuffer();
        try {
            InputStream is = new FileInputStream(file);
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String s = br.readLine();
            sb.append("\n#############################");
            while (s != null) {
                sb.append(s + "\n");
                s = br.readLine();
            }
            br.close();
            sb.append("#############################\n");
            return sb;
        } catch (java.io.FileNotFoundException FNE) {
            System.err.println("Arquivos não encontrado!");
        } catch (IOException ex) {
            System.err.println("erro: " + ex.toString());
        }
        return sb;
    }
}
